import request from '@/utils/request'

// 查询素材分组列表
export function listMaterialGroup(query) {
  return request({
    url: '/qw/materialGroup/list',
    method: 'get',
    params: query
  })
}
export function getAllMaterialGroup(query) {
  return request({
    url: '/qw/materialGroup/getAllList',
    method: 'get',
    params: query
  })
}


// 查询素材分组详细
export function getMaterialGroup(groupId) {
  return request({
    url: '/qw/materialGroup/' + groupId,
    method: 'get'
  })
}

// 新增素材分组
export function addMaterialGroup(data) {
  return request({
    url: '/qw/materialGroup',
    method: 'post',
    data: data
  })
}

// 修改素材分组
export function updateMaterialGroup(data) {
  return request({
    url: '/qw/materialGroup',
    method: 'put',
    data: data
  })
}

// 删除素材分组
export function delMaterialGroup(groupId) {
  return request({
    url: '/qw/materialGroup/' + groupId,
    method: 'delete'
  })
}

// 导出素材分组
export function exportMaterialGroup(query) {
  return request({
    url: '/qw/materialGroup/export',
    method: 'get',
    params: query
  })
}